Extending Qt Creator Manual | ContainerNode

Extending Qt Creator Manual 4.4.0

# ContainerNode Class

(ProjectExplorer::ContainerNode)

Inherits: | ProjectExplorer::FolderNode

- List of all members, including inherited members

## Public Functions

| ContainerNode(Project *project)
Project * | project() const
ProjectNode * | rootProjectNode() const

## Reimplemented Public Functions

virtual ContainerNode * | asContainerNode() final
virtual const ContainerNode * | asContainerNode() const final
virtual QString | displayName() const final
virtual bool | supportsAction(ProjectAction action, Node *node) const final

- 32 public functions inherited from ProjectExplorer::FolderNode
- 27 public functions inherited from ProjectExplorer::Node

### Additional Inherited Members

- 3 static public members inherited from ProjectExplorer::Node
- 2 protected functions inherited from ProjectExplorer::Node

## Member Function Documentation

### ContainerNode::ContainerNode(Project *project)

Default constructs an instance of ContainerNode.

### `[final virtual]` ContainerNode *ContainerNode::asContainerNode()

### `[final virtual]` const ContainerNode *ContainerNode::asContainerNode() const

### `[final virtual]` QString ContainerNode::displayName() const

### Project *ContainerNode::project() const

### ProjectNode *ContainerNode::rootProjectNode() const

### `[final virtual]` bool ContainerNode::supportsAction(ProjectAction action, Node *node) const